Skip to content

Update Page Relationship

PUT
/api/creative/lore/relationships/{relationship_id}

Update a relationship’s type, description, or weight.

When upgrading an auto-generated ‘related_to’ to a specific type, the relationship becomes author-confirmed (is_auto set to false).

relationship_id
required
Relationship Id
string
LorePageRelationshipUpdate

Request to update a relationship’s type (e.g., upgrading related_to to homeland).

object
relationshipType
required
Relationshiptype

New relationship type (same constraints as create)

string
>= 1 characters <= 100 characters /^[a-z][a-z0-9_]{0,99}$/
description
Any of:
string
weight
Any of:
number
<= 10

Successful Response

LorePageRelationshipResponse

Response for a single relationship between lore entries.

object
id
required
Id
string
projectId
required
Projectid
string
sourceEntryId
required
Sourceentryid
string
targetEntryId
required
Targetentryid
string
relationshipType
required
Relationshiptype
string
description
Any of:
string
weight
Weight
number
default: 1
isAuto
Isauto
boolean
sourceTitle
Sourcetitle
string
""
sourceEntryType
Sourceentrytype
string
""
targetTitle
Targettitle
string
""
targetEntryType
Targetentrytype
string
""
createdAt
required
Createdat
integer
modifiedAt
required
Modifiedat
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object